#!/usr/bin/env python
# -*- coding: utf-8 -*-
from tvm.commands import basecommand
from tvm.shared_helpers.io import err, warn, info, ok
from tvm.helpers.doctorhelper import DoctorHelper


class DoctorCommand(basecommand.BaseCommand):
    def __init__(self, **arguments):
        super(self.__class__, self).__init__(**dict(arguments, **{'_terminate_program': False}))

        self.helper = DoctorHelper(self.config, self.collection)
        self._extact_args(arguments)
        self._exec()

    def _extact_args(self, arguments):
        self._exists = arguments.get('--exists', False)

    def _exec(self):
        if self.collection.load_success:
            ok('Semantic check on recorded files successfully completed.')

        if self._exists:
            raw_input('\nPress enter to check physical storage...')
            self.helper.validate_exists_in_storage()
